Bug 1580220 (CVE-2018-11099)

Summary: CVE-2018-11099 vcftools: Heap-based buffer over-read in header.cpp:header::add_INFO_descriptor()
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bloch, rosset.filipe
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20180518,reported=20180521,source=full-disclosure,cvss3=4.4/CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:L,cwe=CWE-122,fedora-all/vcftools=affected,epel-all/vcftools=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:23:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1580222, 1580223    
Bug Blocks:    

Description Sam Fowler 2018-05-21 04:05:44 UTC
VCFtools through version 0.1.15 is vulnerable to a heap-based buffer over-read in the header.cpp:header::add_INFO_descriptor() function. An attacker could exploit this to cause an information disclosure or denial of service.


External Reference:

http://seclists.org/fulldisclosure/2018/May/43

Comment 1 Sam Fowler 2018-05-21 04:08:53 UTC
Created vcftools tracking bugs for this issue:

Affects: epel-all [bug 1580222]
Affects: fedora-all [bug 1580223]

Comment 2 Product Security DevOps Team 2019-06-10 10:23:34 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.